> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Ovh Gateway Model Endpoint

> Invalid states (unsupported model, non-OVH cluster, no recorded managed gateway, no active network resource) answer 409 with a detail message.



## OpenAPI

````yaml https://platform.ankra.app/openapi.json put /api/v1/clusters/ovh/{cluster_id}/gateway-model
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/ovh/{cluster_id}/gateway-model:
    put:
      tags:
        - OVH Cluster API
      summary: Update Ovh Gateway Model Endpoint
      description: >-
        Invalid states (unsupported model, non-OVH cluster, no recorded managed
        gateway, no active network resource) answer 409 with a detail message.
      operationId: >-
        update_ovh_gateway_model_endpoint_api_v1_clusters_ovh__cluster_id__gateway_model_put
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid
            title: Cluster Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateGatewayModelRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateGatewayModelResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '409':
          description: Invalid state
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    UpdateGatewayModelRequest:
      properties:
        gateway_model:
          enum:
            - s
            - m
            - l
            - xl
            - 2xl
            - 3xl
          title: Gateway Model
          type: string
      required:
        - gateway_model
      title: UpdateGatewayModelRequest
      type: object
    UpdateGatewayModelResult:
      properties:
        gateway_model:
          title: Gateway Model
          type: string
        resource_ids:
          items:
            type: string
          title: Resource Ids
          type: array
      required:
        - gateway_model
        - resource_ids
      title: UpdateGatewayModelResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````